Index: /trunk/src/paper01/fig9/swr_validation_scatter_2000_2007.pro
===================================================================
--- /trunk/src/paper01/fig9/swr_validation_scatter_2000_2007.pro	(revision 93)
+++ /trunk/src/paper01/fig9/swr_validation_scatter_2000_2007.pro	(revision 94)
@@ -116,5 +116,6 @@
 ocean='global'
 
-;da1=20000101 & da2=20071231
+;da1=20000101 
+;da2=20071231
 nsmooth=1.
 ;;   This program will create the following text files with statistics of respective variables
@@ -146,5 +147,6 @@
 file=project_id_env+'erai_fluxes_20000101_20090801_TROP_oafluxgrid.nc'
 initncdf, file
-unc=read_ncdf('swr',date1,date2,file=file,/nostr) & unc=-1*unc
+unc=read_ncdf('swr',date1,date2,file=file,/nostr) 
+unc=-1*unc
 help, unc
 
@@ -161,5 +163,6 @@
 fi=project_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
-nce=read_ncdf("swr", date1, date2, file=fi,/nostr) & nce=0.94*nce
+nce=read_ncdf("swr", date1, date2, file=fi,/nostr) 
+nce=0.94*nce
 help, nce
 
@@ -178,15 +181,20 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
 
     read_global_sw_v50, csite, date1, date2, box, $
                            sw
 
-    swr=sw & ind=where(finite(swr)) & valid=n_elements(ind)
+    swr=sw 
+    ind=where(finite(swr)) 
+    valid=n_elements(ind)
 
     if (valid ge 180. ) then begin
@@ -217,6 +225,13 @@
         olr=tropflux
 
-	ind=where(finite(swr)) & swr=swr(ind) & uncr_swr=uncr(ind)  & corr_swr=corr(ind) & oafl=oafl(ind) & ncep=ncep(ind)
-        ncep1=ncep1(ind) & olr_sw=olr(ind)& mean_tao=total(swr,/nan)/n_elements(swr)
+	ind=where(finite(swr)) 
+        swr=swr(ind) 
+        uncr_swr=uncr(ind)  
+        corr_swr=corr(ind) 
+        oafl=oafl(ind) 
+        ncep=ncep(ind)
+        ncep1=ncep1(ind) 
+        olr_sw=olr(ind)
+        mean_tao=total(swr,/nan)/n_elements(swr)
 
     	statistics_3var_v1, swr, uncr_swr, corr_swr, $
@@ -251,8 +266,12 @@
 mean_erai=mean_tao+bias_erai
 
-ind=where(finite(cor_erai)) & cor=total(cor_erai,/nan)/n_elements(ind)
-ind=where(finite(bias_erai)) & bias=total(bias_erai,/nan)/n_elements(ind)
-ind=where(finite(rmsd_erai)) & rmsd=total(rmsd_erai,/nan)/n_elements(ind)
-ind=where(finite(std_erai)) & std=total(std_erai,/nan)/n_elements(ind)
+ind=where(finite(cor_erai)) 
+cor=total(cor_erai,/nan)/n_elements(ind)
+ind=where(finite(bias_erai)) 
+bias=total(bias_erai,/nan)/n_elements(ind)
+ind=where(finite(rmsd_erai)) 
+rmsd=total(rmsd_erai,/nan)/n_elements(ind)
+ind=where(finite(std_erai)) 
+std=total(std_erai,/nan)/n_elements(ind)
 
 print, ''
@@ -266,7 +285,10 @@
 xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_erai
-ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+x=mean_tao 
+y=mean_erai
+ab=linfit(x,y,yfit=yfit)
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [100,300], [100,300]
@@ -283,8 +305,12 @@
 mean_trop=mean_tao+bias_trop
 
-ind=where(finite(cor_trop)) & cor=total(cor_trop,/nan)/n_elements(ind)
-ind=where(finite(bias_trop)) & bias=total(bias_trop,/nan)/n_elements(ind)
-ind=where(finite(rmsd_trop)) & rmsd=total(rmsd_trop,/nan)/n_elements(ind)
-ind=where(finite(std_trop)) & std=total(std_trop,/nan)/n_elements(ind)
+ind=where(finite(cor_trop)) 
+cor=total(cor_trop,/nan)/n_elements(ind)
+ind=where(finite(bias_trop)) 
+bias=total(bias_trop,/nan)/n_elements(ind)
+ind=where(finite(rmsd_trop)) 
+rmsd=total(rmsd_trop,/nan)/n_elements(ind)
+ind=where(finite(std_trop)) 
+std=total(std_trop,/nan)/n_elements(ind)
 
 print, ''
@@ -298,7 +324,10 @@
 xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_trop
-ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+x=mean_tao 
+y=mean_trop
+ab=linfit(x,y,yfit=yfit)
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [100,300], [100,300]
@@ -315,8 +344,12 @@
 mean_oaf=mean_tao+bias_oaf
 
-ind=where(finite(cor_oaf)) & cor=total(cor_oaf,/nan)/n_elements(ind)
-ind=where(finite(bias_oaf)) & bias=total(bias_oaf,/nan)/n_elements(ind)
-ind=where(finite(rmsd_oaf)) & rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
-ind=where(finite(std_oaf)) & std=total(std_oaf,/nan)/n_elements(ind)
+ind=where(finite(cor_oaf)) 
+cor=total(cor_oaf,/nan)/n_elements(ind)
+ind=where(finite(bias_oaf)) 
+bias=total(bias_oaf,/nan)/n_elements(ind)
+ind=where(finite(rmsd_oaf)) 
+rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
+ind=where(finite(std_oaf)) 
+std=total(std_oaf,/nan)/n_elements(ind)
 
 print, ''
@@ -330,7 +363,10 @@
 xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_oaf
-ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+x=mean_tao 
+y=mean_oaf
+ab=linfit(x,y,yfit=yfit)
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [100,300], [100,300]
@@ -347,8 +383,12 @@
 mean_nce=mean_tao+bias_nce
 
-ind=where(finite(cor_nce)) & cor=total(cor_nce,/nan)/n_elements(ind)
-ind=where(finite(bias_nce)) & bias=total(bias_nce,/nan)/n_elements(ind)
-ind=where(finite(rmsd_nce)) & rmsd=total(rmsd_nce,/nan)/n_elements(ind)
-ind=where(finite(std_nce)) & std=total(std_nce,/nan)/n_elements(ind)
+ind=where(finite(cor_nce)) 
+cor=total(cor_nce,/nan)/n_elements(ind)
+ind=where(finite(bias_nce)) 
+bias=total(bias_nce,/nan)/n_elements(ind)
+ind=where(finite(rmsd_nce)) 
+rmsd=total(rmsd_nce,/nan)/n_elements(ind)
+ind=where(finite(std_nce)) 
+std=total(std_nce,/nan)/n_elements(ind)
 
 print, ''
@@ -362,7 +402,10 @@
 xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_nce
-ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+x=mean_tao 
+y=mean_nce
+ab=linfit(x,y,yfit=yfit)
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [100,300], [100,300]
@@ -379,8 +422,12 @@
 mean_nce=mean_tao+bias_nce
 
-ind=where(finite(cor_nce)) & cor=total(cor_nce,/nan)/n_elements(ind)
-ind=where(finite(bias_nce)) & bias=total(bias_nce,/nan)/n_elements(ind)
-ind=where(finite(rmsd_nce)) & rmsd=total(rmsd_nce,/nan)/n_elements(ind)
-ind=where(finite(std_nce)) & std=total(std_nce,/nan)/n_elements(ind)
+ind=where(finite(cor_nce)) 
+cor=total(cor_nce,/nan)/n_elements(ind)
+ind=where(finite(bias_nce)) 
+bias=total(bias_nce,/nan)/n_elements(ind)
+ind=where(finite(rmsd_nce)) 
+rmsd=total(rmsd_nce,/nan)/n_elements(ind)
+ind=where(finite(std_nce)) 
+std=total(std_nce,/nan)/n_elements(ind)
 
 print, ''
@@ -394,7 +441,10 @@
 xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_nce
-ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+x=mean_tao 
+y=mean_nce
+ab=linfit(x,y,yfit=yfit)
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [100,300], [100,300]
@@ -411,8 +461,12 @@
 mean_olr=mean_tao+bias_olr
 
-ind=where(finite(cor_olr)) & cor=total(cor_olr,/nan)/n_elements(ind)
-ind=where(finite(bias_olr)) & bias=total(bias_olr,/nan)/n_elements(ind)
-ind=where(finite(rmsd_olr)) & rmsd=total(rmsd_olr,/nan)/n_elements(ind)
-ind=where(finite(std_olr)) & std=total(std_olr,/nan)/n_elements(ind)
+ind=where(finite(cor_olr)) 
+cor=total(cor_olr,/nan)/n_elements(ind)
+ind=where(finite(bias_olr)) 
+bias=total(bias_olr,/nan)/n_elements(ind)
+ind=where(finite(rmsd_olr)) 
+rmsd=total(rmsd_olr,/nan)/n_elements(ind)
+ind=where(finite(std_olr)) 
+std=total(std_olr,/nan)/n_elements(ind)
 
 print, ''
@@ -426,7 +480,10 @@
 xyouts, 180,160, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_olr
-ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+x=mean_tao 
+y=mean_olr
+ab=linfit(x,y,yfit=yfit)
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [100,300], [100,300]
Index: /trunk/src/q2m_correction_ncdf.pro
===================================================================
--- /trunk/src/q2m_correction_ncdf.pro	(revision 93)
+++ /trunk/src/q2m_correction_ncdf.pro	(revision 94)
@@ -143,5 +143,6 @@
 ENDIF
 ;
-da1=19880101 & da2=20101231
+da1=19880101 
+da2=20101231
 ;
 ; build data filename
@@ -175,5 +176,6 @@
 help, q2m_mean
 
-tt=time & jpt=n_elements(time)
+tt=time 
+jpt=n_elements(time)
 caldat, time,mon,day,yea
 q2m_m=q2m*0.
@@ -203,10 +205,12 @@
 lat=reform(gphit(0,0:jpj-1))
 lon=reform(glamt(0:jpi-1,0))
-time=timegen(7670, units='days', start=julday(1,1,1989,0)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989,0)) 
+jpt=n_elements(time)
 
 cda0=string(jul2date(time(0)),format='(i8.8)')
 cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
 
-time=time-julday(1,1,1950) & jpt=n_elements(time)
+time=time-julday(1,1,1950) 
+jpt=n_elements(time)
 
 ncfile='!' + fullfilename_out
Index: /trunk/src/sst_correction_ncdf.pro
===================================================================
--- /trunk/src/sst_correction_ncdf.pro	(revision 93)
+++ /trunk/src/sst_correction_ncdf.pro	(revision 94)
@@ -213,5 +213,6 @@
 ENDIF
 ;
-da1=19880101 & da2=20091231
+da1=19880101 
+da2=20091231
 ;
 ; build data filename
@@ -239,5 +240,6 @@
 ;
 initncdf, fullfilename
-sst=read_ncdf('sst',da1,da2,file=fullfilename,/nostr) & sst=sst-273.15
+sst=read_ncdf('sst',da1,da2,file=fullfilename,/nostr) 
+sst=sst-273.15
 help, sst
 
@@ -245,5 +247,6 @@
 help, sst_mean
 
-tt=time & jpt=n_elements(time)
+tt=time 
+jpt=n_elements(time)
 caldat, time,mon,day,yea
 ;
@@ -278,10 +281,12 @@
 lat=reform(gphit(0,0:jpj-1))
 lon=reform(glamt(0:jpi-1,0))
-time=timegen(7670, units='days', start=julday(1,1,1989)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989)) 
+jpt=n_elements(time)
 
 cda0=string(jul2date(time(0)),format='(i8.8)')
 cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
 
-time=time-julday(1,1,1950) & jpt=n_elements(time)
+time=time-julday(1,1,1950) 
+jpt=n_elements(time)
 
 ncfile='!' + fullfilename_out
Index: /trunk/src/ws_correction_ncdf.pro
===================================================================
--- /trunk/src/ws_correction_ncdf.pro	(revision 93)
+++ /trunk/src/ws_correction_ncdf.pro	(revision 94)
@@ -146,5 +146,6 @@
 ENDIF
 ;
-da1=19880101 & da2=20101231
+da1=19880101 
+da2=20101231
 ;
 ; build data filename
@@ -181,5 +182,6 @@
 help, w_mean
 
-tt=time & jpt=n_elements(time)
+tt=time 
+jpt=n_elements(time)
 caldat, time,mon,day,yea
 w_m=w*0.
@@ -210,10 +212,12 @@
 lat=reform(gphit(0,0:jpj-1))
 lon=reform(glamt(0:jpi-1,0))
-time=timegen(7670, units='days', start=julday(1,1,1989,0)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989,0)) 
+jpt=n_elements(time)
 
 cda0=string(jul2date(time(0)),format='(i8.8)')
 cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
 
-time=time-julday(1,1,1950) & jpt=n_elements(time)
+time=time-julday(1,1,1950) 
+jpt=n_elements(time)
 
 ncfile='!' + fullfilename_out
Index: /trunk/src/ws_tropflux_1d_to_1m_ncdf.pro
===================================================================
--- /trunk/src/ws_tropflux_1d_to_1m_ncdf.pro	(revision 93)
+++ /trunk/src/ws_tropflux_1d_to_1m_ncdf.pro	(revision 94)
@@ -136,5 +136,6 @@
 ;
 initncdf, fullfilename
-st=19890101 & en=20101231
+st=19890101 
+en=20101231
 ws=read_ncdf("ws", st, en, file=fullfilename,/nostr)
 
@@ -145,5 +146,6 @@
 ;; Monthly data
 ;
-jpt=22*12. & time=timegen(jpt,start=julday(1,15,1989),units='Months')
+jpt=22*12. 
+time=timegen(jpt,start=julday(1,15,1989),units='Months')
 caldat, tt,m,d,y
 caldat, time, mon,day,yea
@@ -163,5 +165,6 @@
 cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
 time=time-julday(1,1,1950,00,00,00)
-xlon=reform(glamt(firstxt:lastxt,0) ) & ylat=reform(gphit(0,firstyt:lastyt))
+xlon=reform(glamt(firstxt:lastxt,0) ) 
+ylat=reform(gphit(0,firstyt:lastyt))
 
 ncfile='!' + fullfilename_out
